import { WsApiRequest, WsApiRequestHandler, WsApiResponse, WsApiRoute, WsApiAction } from '../types';
import { APIGatewayProxyEvent, APIGatewayProxyResult } from 'aws-lambda';
export declare class WsApi {
    private requestHandlers;
    addRouteHandler<Action extends WsApiAction, Request extends WsApiRequest, Response extends WsApiResponse = never>(route: WsApiRoute<Action, Request, Response>, requestHandler: WsApiRequestHandler<Action, Request, Response>): this;
    handleRequest(event: APIGatewayProxyEvent): Promise<APIGatewayProxyResult>;
}
